Summary:	A professional CAD system
Name:		qcad
Version:	3.19.2.3
Release:	%mkrel 1
Group:		Graphics
License:	GPLv3 with exceptions, CC-BY, GPLv2+, LGPLv2.1, BSD
URL:		http://www.qcad.org
Source0:	https://github.com/qcad/qcad/archive/v%{version}/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5webengine-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}qt5xmlpatterns5-devel
BuildRequires: qtimageformats5
BuildRequires: qttools5
#-------------------------------------------
Requires:	qtimageformats5
Requires:	qtwebengine5
Requires:	lib64qt5script5
#-------------------------------------------

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(TM) and many others.

%prep
%setup -q

%build
%qmake_qt5
%make

%install
rm -rf %buildroot

find . \( -name '*.pri' -or -name '*.pro' -or -name '*.ts' \) -delete
find . \( -name 'Makefile*' -or -name '.gitignore' \) -delete

install -dm755 %{buildroot}%{_datadir}/%{name}
cp -r examples fonts libraries linetypes patterns plugins scripts ts %{buildroot}%{_datadir}/%{name}
cp release/* %{buildroot}%{_datadir}/%{name}

# qt
for sofiles in %{_qt5_plugindir}/imageformats/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/imageformats/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/sqldrivers/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/sqldrivers/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/printsupport/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/printsupport/${sofiles##/*/}
done

install -Dm644 scripts/%{name}_icon.png %{buildroot}%{_iconsdir}/%{name}_icon.png

install -dm0755 %{buildroot}%{_bindir}
echo -e '#!/bin/sh\ncd %{_datadir}/%{name}\nLD_LIBRARY_PATH=`pwd`:%{_libdir}/%{name}:$LD_LIBRARY_PATH exec ./%{name}-bin' > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/*.a

install -dm0755 %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/*.so %{buildroot}%{_libdir}/%{name}

# man page
install -Dm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

# documentation for help system
install -Dm644 readme.txt %{buildroot}%{_datadir}/%{name}/readme.txt

# desktop
install -Dm644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc readme.txt LICENSE.txt README.md gpl-3.0.txt cc-by-3.0.txt gpl-3.0-exceptions.txt
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_iconsdir}/*.png
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Mar 30 2018 bb2 <bb2> - 3.19.2.3-1pclos2018
- new version

* Tue Jan 03 2017 bb <bb> 3.16.3.0-1pclos2017
- new version

* Sun Oct 30 2016 bb <bb> 3.15.5.0-2pclos2016
- add hard dependency on lib64qt5script5

* Fri Oct 28 2016 bb <bb> 3.15.5.0-1pclos2016
- update

* Fri Apr 29 2016 bb <bb> 3.14.3.0-1pclos2016
- update for Qt5

